log4shib::RemoteSyslogAppender(3)

NAME
log4shib::RemoteSyslogAppender - RemoteSyslogAppender sends LoggingEvents to a remote syslog system.

SYNOPSIS

#include <RemoteSyslogAppender.hh>

Inherits log4shib::LayoutAppender.

  Public Member Functions
RemoteSyslogAppender (const std::string &name, const std::string &syslogName, const std::string &relayer, int facility=LOG_USER, int portNumber=514)
Instantiate a RemoteSyslogAppender with given name and name and facility for syslog.
virtual ~RemoteSyslogAppender ()
virtual bool reopen ()
Closes and reopens the socket.
virtual void close ()
Closes the socket.

  Static Public Member Functions
static int toSyslogPriority (Priority::Value priority)
Translates a log4shib priority to a syslog priority.

  Protected Member Functions
virtual void open ()
Just creates the socket.
virtual void _append (const LoggingEvent &event)
Sends a LoggingEvent to the remote syslog.

  Protected Attributes
const std::string _syslogName
const std::string _relayer
int _facility
int _portNumber
int _socket
in_addr_t _ipAddr

  Additional Inherited Members

Detailed Description

RemoteSyslogAppender sends LoggingEvents to a remote syslog system. Also see: draft-ietf-syslog-syslog-12.txt

Constructor & Destructor Documentation

  log4shib::RemoteSyslogAppender::RemoteSyslogAppender (const std::string & name, const std::string & syslogName, const std::string & relayer, int facility = LOG_USER, int portNumber = 514)

Instantiate a RemoteSyslogAppender with given name and name and facility for syslog.

Parameters
    name The name of the Appender
    syslogName The ident parameter in the openlog(3) call.
    relayer The IP address or hostname of a standard syslog host.
    facility The syslog facility to log to. Defaults to LOG_USER. Value '-1' implies to use the default.

    portNumber An alternative port number. Defaults to the standard syslog port number (514). Value '-1' implies to use the default.

  log4shib::RemoteSyslogAppender::~RemoteSyslogAppender () [virtual]

Member Function Documentation

  void log4shib::RemoteSyslogAppender::_append (const LoggingEvent & event) [protected], [virtual]

Sends a LoggingEvent to the remote syslog.

Parameters
    event the LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

  void log4shib::RemoteSyslogAppender::close () [virtual]

Closes the socket.

Implements log4shib::AppenderSkeleton.

  void log4shib::RemoteSyslogAppender::open () [protected], [virtual]

Just creates the socket.

  bool log4shib::RemoteSyslogAppender::reopen () [virtual]

Closes and reopens the socket.

Reimplemented from log4shib::AppenderSkeleton.

  int log4shib::RemoteSyslogAppender::toSyslogPriority (Priority::Value priority) [static]

Translates a log4shib priority to a syslog priority.

Parameters
    priority The log4shib priority.

Returns
    the syslog priority.

Member Data Documentation

  int log4shib::RemoteSyslogAppender::_facility [protected]

  in_addr_t log4shib::RemoteSyslogAppender::_ipAddr [protected]

  int log4shib::RemoteSyslogAppender::_portNumber [protected]

  const std::string log4shib::RemoteSyslogAppender::_relayer [protected]

  int log4shib::RemoteSyslogAppender::_socket [protected]

  const std::string log4shib::RemoteSyslogAppender::_syslogName [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.